<template>
  <Form ref="form" v-slot="{ handleSubmit, values, meta }" :initialValues="initialValues">
       <div class="v-chart-account-form px-[40px] py-[30px]">


           <div class="grid gap-6 mb-4 md:grid-cols-2">
            <div>
              <Field name="roleName" type="text" v-slot="{ value, errorMessage, handleChange }" rules="required" filterable>
                <label class="block mb-2 text-sm font-medium text-gray-900" :for="name">
                 Role_Name</label>
                <el-form-item :error="errorMessage">
                  <el-input :model-value="value" @update:model-value="handleChange" placeholder="input role name" />
                </el-form-item>
              </Field>
            </div>
            <div>
              <Field name="roleDescription" type="text" v-slot="{ value, errorMessage, handleChange }" rules="required" filterable>
                <label class="block mb-2 text-sm font-medium text-gray-900" :for="name">
                 Role_Description</label>
                <el-form-item :error="errorMessage">
                  <el-input :model-value="value" @update:model-value="handleChange" placeholder="input Role Description" />
                </el-form-item>
              </Field>
            </div>
          </div>
          <div class="flex justify-center">
              <el-button v-if="!isReadonly" @click="handleSubmit($event, onSubmit(values, meta))"
                  class="bg-blue-700 hover:bg-blue-600 rounded-full ml-2 px-3 py-4 w-[100px]" size="large"
                  color="#1d4ed8">
                  Save
              </el-button>
          </div>
      </div>
  </Form>
</template>
<script>
import {  ref } from "vue";
import { Form, Field } from "vee-validate";

export default {
  name: 'v-user-role-form',
  components: {
      Field,
      Form,
  },
  props: {
      data: {
          type: Object,
          default: () => ({}),
      },
      isEdit: {
          type: Boolean,
          default: false,
      },
  },

  emits: ["submit"],
  setup(props, { emit }) {
      const form = ref();
      const initialValues = props?.data || {};

      const onSubmit = (values, meta) => {
          if (meta.valid) {
              emit("submit", values);
          }
      };

      return {
          initialValues,
          form,
          onSubmit,
          
      }
  }
}
</script>